<?
/////////////////////////////////////////////////////
//  险情文章管理 1.0正式版本--php文本存储格式      //
//  作者：上海财经大学99国际工管    险情           //
//  email：indraw@sina.com                         //
//  qq：   30467826                                //
//  技术支持：http://shcj.51.net/wdb               //
//  最新演示：http://xqart.126.com                 //
//  2002/4/10                                      //
//  最新下载地址 http;//shcj.51.net/wdb            //
/////////////////////////////////////////////////////
require("config.php");
if ($xinre=="hot")      {
/////////////////总的热门文章显示/////////////////////////////////////////
$file_new_sort=file("data/$form.hot");
$file_new_count=count($file_new_sort)-1;
for ($i=0;$i<=$pianshu;$i++) {
        $file_new_name=explode("|",$file_new_sort[$i]);
    if ( "$file_new_name[0]" && "$file_new_name[0]" != '.' && "$file_new_name[0]" != '..') {
  $file_new_array=file("data/$file_new_name[1]/$file_new_name[0].num");
  $file_new_info=explode("|",$file_new_array[0]);

echo "document.write('<img src=\'$file_url/images/dot1.gif\' width=6 height=9>');";
$len = strlen($file_new_info[1]);
if ($len <= $biaochang)
 $title = $file_new_info[1];
else
 $title =substr($file_new_info[1],0,$biaochang)."...";

echo "document.write(' <a target=_blank href=\'$file_url/show.php?type=$file_new_name[1]&id=$file_new_name[0]\' target=_blank> $title</a>&nbsp;');";
if ($zuozhe=="yes" and $file_zuozhe_name[1]!="")
echo "document.write('<font color=#c0c0c0>$file_new_info[2]/文&nbsp;</font>');";
if ($riqi=="yes")
echo "document.write('<font color=#c0c0c0>$file_new_info[6]</font>');";
if ($yue=="yes")
echo "document.write('<font color=#c0c0c0>阅:</font><font color=red>$file_new_info[16]/$file_new_info[17]&nbsp;</font>');";
if ($ping=="yes")
echo "document.write('<font color=#c0c0c0>评:$file_new_info[18]</font>');";
echo "document.write('<br>');"; 
}
///////////////////////////////////////////////////////////////////////////////////
}
}
if ($xinre=="new")  {
/////////////////////总的最新文章显示////////////////////////////////////////////////////
$file_new_sort=file("data/$form.new");
$file_new_count=count($file_new_sort)-1;
for ($i=$file_new_count;$i>=$file_new_count-$pianshu+1;$i--) {
        $file_new_name=explode("|",$file_new_sort[$i]);
    if ( "$file_new_name[0]" && "$file_new_name[0]" != '.' && "$file_new_name[0]" != '..') {
  $file_new_array=file("data/$file_new_name[1]/$file_new_name[0].num");
  $file_new_info=explode("|",$file_new_array[0]);

echo "document.write('<img src=\'$file_url/images/dot1.gif\' width=6 height=9>');";
$len = strlen($file_new_info[1]);
if ($len <= $biaochang)
 $title = $file_new_info[1];
else
 $title =substr($file_new_info[1],0,$biaochang)."...";

echo "document.write(' <a target=_blank href=\'$file_url/show.php?type=$file_new_name[1]&id=$file_new_name[0]\' target=_blank> $title</a>&nbsp;');";
if ($zuozhe=="yes" and $file_zuozhe_name[1]!="")
echo "document.write('<font color=#c0c0c0>$file_new_info[2]/文&nbsp;</font>');";
if ($riqi=="yes")
echo "document.write('<font color=#c0c0c0>$file_new_info[6]</font>');";
if ($yue=="yes")
echo "document.write('<font color=#c0c0c0>阅:</font><font color=red>$file_new_info[16]/$file_new_info[17]&nbsp;</font>');";
if ($ping=="yes")
echo "document.write('<font color=#c0c0c0>评:$file_new_info[18]</font>');";
echo "document.write('<br>');";
}
///////////////////////////////////////////////////////////////////////////////////
}
}
?>